incore error - ELF64 is supported only natively at ../FIPs/openssl-fips-2.0.2/util/incore line 45.

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

incore error - ELF64 is supported only natively at ../FIPs/openssl-fips-2.0.2/util/incore line 45.

Bala
Hi All,

 I am trying to cross compile OpenSSL FIPS module for linux-mips architecture (there is no direct support for the same).
On building my test application using fipsld,

$CC fips_mode.c -o fips_mode.exe -L ../openssl-1.0.1e -ldl -lcrypto
where CC = ../fips/bin/fipsld

I get the error : ELF64 is supported only natively at ../FIPs/openssl-fips-2.0.2/util/incore line 45.

Steps done:

export HOSTCC=gcc
export MACHINE=mips64
export RELEASE=2.6.32.27-Cavium-Octeon
export SYSTEM=Linux
export ARCH=linux-mips64
export CROSS_COMPILE=../bin/mips64-octeon-linux-gnu-gcc

Also i have appended the Makefile to support linux mips architecture as specified in : http://tiebing.blogspot.in/2010/12/compile-openssl-for-linux-mips.html 

OpenSSL libcrypto and fipscanister.o are built successfully. But i am seeing the issue during linking test application - ELF64 is supported only natively at ../FIPs/openssl-fips-2.0.2/util/incore line 45

Please let me know  any suggestions.

thanks,
Bala
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: incore error - ELF64 is supported only natively at ../FIPs/openssl-fips-2.0.2/util/incore line 45.

manjunath SM
This post has NOT been accepted by the mailing list yet.
Hi Bala,

Do you have any updates on this.

Regards
Manju
Loading...